# All files / src/generators object.js

100% Statements 3/3
100% Branches 0/0
100% Functions 2/2
100% Lines 3/3

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13

    47x
    47x
    47x

     // @flow

    import type { ObjectNodeType, GeneratedCodeType } from '../types'

    export default ({ value }: ObjectNodeType): GeneratedCodeType =>
      `(_.objectify(${((): string => {
        const Generator = require('./generator').default
        return Generator({
          name: 'list',
          value
        })
      })()}))`